Page MenuHomePhabricator

Template:FlowMention missing, new mentions of users are broken
Closed, ResolvedPublic

Description

Template:FlowMention is missing at least in pt.wiki and ca.wiki.

See the last line of this comment (pt.wiki) and this thread (ca.wiki). There are more examples.

See also T107173: Fix broken FlowMention items on PT, CA and other affected wikis

Event Timeline

He7d3r created this task.Jul 22 2015, 6:56 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a project: StructuredDiscussions.
He7d3r added a subscriber: He7d3r.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 22 2015, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
He7d3r updated the task description. (Show Details)Jul 22 2015, 7:00 PM
He7d3r set Security to None.
QuimGil renamed this task from Flow adds FlowMention to the end of a comment to Template:FlowMention missing, new mentions of users are broken.Jul 28 2015, 6:08 AM
QuimGil updated the task description. (Show Details)
QuimGil added a subscriber: QuimGil.

As @Legoktm shows, the addition of a Flow mention at the end of that comment in pt.wiki is legit. The problem is that Template:FlowMention is missing. This problem is related to the implementation of T99891: Remove the colon at the end of mentions in Flow.

The template was missing from a couple of wikis. I've just run the script to add them. The template should now exist for:

  • testwiki
  • test2wiki
  • mediawikiwiki
  • metawiki
  • enwiki
  • frwiki
  • hewiki
  • officewiki
  • ptwiki
  • cawiki
  • tewiki
  • ruwiki
  • pawiki
  • zhwiki
  • wikidatawiki
  • viwiki

We plan on enabling Flow by default on (all|a lot of) wikis; I've added a task to make sure we create this template there as well: T107143

matthiasmullie triaged this task as High priority.
QuimGil added a comment.EditedJul 28 2015, 11:09 AM

Please check the two links in the description. Now the template exists indeed, but the username still doesn't appear in the messages.

(Hm, this might be a problem only in the posts created while the template was missing? If so, I guess it's fine.)

That's because content is stored in HTML & templates are transcluded (or not, in this case) when the content is saved, not every time it's displayed.
It should be fine for new mentions from now on.

DannyH updated the task description. (Show Details)Jul 28 2015, 5:48 PM
Catrope added a subscriber: Catrope.EditedJul 29 2015, 6:41 PM

The pages fr:Template:FlowMention and zh:Template:FlowMention were not created.

That's because the name is translatable. French has translated it as fr:Template:Mention, and Chinese has zh:Template:Flow提及

Checked on pt.wiki and ca.wiki.

Ran extensions/Flow/maintenance/FlowCreateMentionTemplate.php for cawiki on betalabs.

DannyH closed this task as Resolved.Aug 3 2015, 5:02 PM
DannyH moved this task from Product Review to Done on the Collaboration-Team-Archive-2015-2016 board.
DannyH added a subscriber: DannyH.